%define _lto_cflags %{nil}

Name:           libcava
Version:        0.10.3
Release:        1%{?dist}
Summary:        Cava library

License:        MIT
URL:            https://github.com/LukashonakV/cava
Source0:        %{url}/archive/cava-%{version}.tar.gz

BuildRequires: gcc
BuildRequires: meson
BuildRequires: pkgconfig(alsa)
BuildRequires: pkgconfig(fftw3)
BuildRequires: pkgconfig(libpulse)
BuildRequires: pkgconfig(iniparser)

Supplements: cava
#Requires:       

%description
%{summary}


##%package        devel
##Summary:        Development files for %{name}
##Requires:       %{name}%{?_isa} = %{version}-%{release}
##
##%description    devel
##The %{name}-devel package contains libraries and header files for
##developing applications that use %{name}.


%prep
%setup -n cava-%{version}

%build
meson setup --prefix=/usr -Doutput_ncurses=disabled build
meson compile -C build

%install
DESTDIR=$RPM_BUILD_ROOT meson install -C build

%files
%license LICENSE
%{_libdir}/libcava.so
%{_libdir}/pkgconfig/cava.pc
%{_includedir}/cava/*.h
%{_includedir}/cava/input/common.h
%{_includedir}/cava/output/common.h
%{_includedir}/cava/output/raw.h
%{_includedir}/cava/output/noritake.h
%{_includedir}/cava/output/terminal_noncurses.h
%{_datadir}/consolefonts/cava.psf

%changelog
* Sat Jan 25 2025 Petter Abrahamsson <petter@jebus.nu>
- 
